### Function

# FwupdPlugin path_from_kind

#### Declaration [src]

    gchar*
    fu_path_from_kind (
      FuPathKind path_kind
    )

#### Description [src]

Gets a fwupd-specific system path. These can be overridden with various environment variables, for instance `FWUPD_DATADIR`.

Available since: | 1.8.2

#### Parameters

`path_kind` | `FuPathKind`
| A `FuPathKind` e.g. `FU_PATH_KIND_DATADIR_PKG`.

#### Return value

Returns: | `gchar*`
| A system path, or `NULL` if invalid.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.